{ pkgs, config, lib,... }:
{

 home.packages = with pkgs; [
    
 ];

programs.neovim = {
  enable = true;
  vimAlias = true;
};


programs.neovim.plugins = [
  pkgs.vimPlugins.lazy-nvim
];

 home.file =
  lib.mkMerge [
   {
    ".config/nvim/init.lua".source = ./init.lua;
    ".config/nvim/lua/config/lazy.lua".source = ./lua/config/lazy.lua;
    ".config/nvim/lua/plugins/flutter.lua".source = ./lua/plugins/flutter.lua;
    ".config/nvim/lua/plugins/coq.lua".source = ./lua/plugins/coq.lua;
    ".config/nvim/lua/plugins/treesitter.lua".source = ./lua/plugins/treesitter.lua;
    ".config/nvim/lua/plugins/catppuccin.lua".source = ./lua/plugins/catppuccin.lua;
    ".config/nvim/lua/plugins/telescope.lua".source = ./lua/plugins/telescope.lua;
    ".config/nvim/lua/plugins/highlight-colors.lua".source = ./lua/plugins/highlight-colors.lua;
   }
  ];
}
